Subject: Re: net/samba + I18N patch
To: None <>
From: Masao Uebayashi <>
List: tech-pkg
Date: 04/02/2004 17:05:05
> 1. Are you going to I18N patch to net/samba package or newly named
>    package?  As past Japanese version of Samba, I18n patch might not
>    be catched up with official Samba's release.

Yes, that's a problem.  It's best that the I18N patch is all feeded
back into Samba's main development.

> 2. On NetBSD current, it isn't verified that it runs fine with base
>    system's iconv support or not.  Once I've tried to test with "build
>    farm" (by Samba I18N project), but I didn't complete it.  :-(

So let's fix something wrong?

>    Do you plan to test on NetBSD current?

The server I plan to test is Red Hat 7.3. :-)  But, I think I can test
on my laptop running -current, later.

> 3. For a Japanese processing point of view, you need to add patch to
>    converters/libiconv.
>    This patch is against libiconv 1.8, (I don't check libiconv 1.9.1
>    on pkgsrc.)
> Lastly, I don't think you will override ja-samba package, please keep
> ja-samba as now.


Anyway I don't do this Samba thing soon.  My point again is

	* don't duplicate the patch work, and

	* the right I18N fix should be merged into the main package
	  than not forking a I18N package.